Loading...
Searching...
No Matches
gx_preset::UnitsCollector Class Reference

`#include <gx_preset.h>`

## Public Member Functions

void | set_show (const std::string &s, bool v)
void | set_visible (const std::string &s, bool v)
void | set_position (const std::string &s, int v)
void | set_pp (const std::string &s, bool v)
void | get_list (std::vector< std::string > &l, bool stereo, gx_engine::ParamMap &param)
bool | empty ()

## Private Attributes

std::map< std::string, UnitPosition > | m

## Detailed Description

Definition at line 56 of file gx_preset.h.

## Member Function Documentation

## empty()

bool gx_preset::UnitsCollector::empty | ( |  | ) |

inline

Definition at line 65 of file gx_preset.h.

## get_list()

void gx_preset::UnitsCollector::get_list | ( | std::vector< std::string > & | l,
|  | bool | stereo,
|  | gx_engine::ParamMap & | param )

## set_position()

void gx_preset::UnitsCollector::set_position | ( | const std::string & | s,
|  | int | v )

inline

Definition at line 62 of file gx_preset.h.

## set_pp()

void gx_preset::UnitsCollector::set_pp | ( | const std::string & | s,
|  | bool | v )

inline

Definition at line 63 of file gx_preset.h.

## set_show()

void gx_preset::UnitsCollector::set_show | ( | const std::string & | s,
|  | bool | v )

inline

Definition at line 60 of file gx_preset.h.

## set_visible()

void gx_preset::UnitsCollector::set_visible | ( | const std::string & | s,
|  | bool | v )

inline

Definition at line 61 of file gx_preset.h.

## Member Data Documentation

## m

std::map<std::string,UnitPosition> gx_preset::UnitsCollector::m

private

Definition at line 58 of file gx_preset.h.

Referenced by empty(), set_position(), set_pp(), set_show(), and set_visible().

The documentation for this class was generated from the following file:

- src/headers/gx_preset.h